module App.Type.Pages where

import Prelude
import Data.Generic.Rep (class Generic)
import Data.Show.Generic (genericShow)
-- | This list will grow in a near future.
-- |
-- | TODO: 
data Page
  = Home           -- | `Home`: presentation of the project.
  | Authentication -- | `Authentication`: authentication page.
  | Registration   -- | `Registration`: to register new people.
  | MailValidation -- | `MailValidation`: to validate email addresses (via a token).
  | DomainList     -- | `DomainList`: to list owned domains and to ask for new domains.
  | Zone String    -- | `Zone`: to manage a zone.
  | Setup          -- | `Setup`: user account administration page
  | Administration -- | `Administration`: administration page (for both `authd` and `dnsmanagerd`).

derive instance genericPage :: Generic Page _

instance showPage :: Show Page where
  show = genericShow
